Breadcrumb nav for the Forums
2008-03-19 14:31 - Jos Yule

Status: Closed Start date: 2008-03-19
Priority: Low Due date:

Assignee: % Done: 100%
Category: Forums Estimated time: 0.00 hour
Target version: 0.7

Resolution: Fixed

Description

Right now, once you are in a forum, or an individual post, there is no easy way to get back to the forum, or the "root" of the forums. A
simple breadcrumb style nav element at the top of the forum page would solve this problem. It would also help if sub-forums are
implemented.

Associated revisions

Revision 1299 - 2008-03-27 19:41 - Jean-Philippe Lang
Add breadcrumb nav for the forums (#892).

History

#1 - 2008-03-19 18:56 - Jean-Philippe Lang

Actually, there's a breadcrumb when you're on a message, so that you can go back to the message list of the current forum. And the 'Forums' link is
always available in the main menu.
But | can improve it by adding 'Forums >>' at the beginning on the h2 title, so we would have:

On the forum list: Forums
On a forum: Forums >> <forum name>
On a message: Forums >> <forum name> >> <topic>

What do you think ?

#2 - 2008-03-19 19:00 - Jos Yule

That is exactly what i was thinking of too.

#3 - 2008-03-26 20:04 - Jean-Philippe Lang
- File breadcrumb.png added

| think that the breadcrumb shouldn't be included in the h2 title.
Here is what it would look like:
Redmine installation on shared hosting (site5) run via FastCGI [PL]

Ajouté par Marcin Gil il y a 20 jours
Hil

I have written a & quick how-to for Rails apps installation in shared environment.

This is for Typo but instructions are highly generic so can be used for any Rails apps installation - particularl

Any comments ?

#4 - 2008-03-26 20:31 - Jos Yule

That looks excellent to me.

#5 - 2008-03-27 19:42 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.7

- Resolution set to Fixed

OK. Applied in r1299.

#6 - 2008-03-27 19:43 - Jos Yule
- % Done changed from 0 to 100

Wicked, thanks!
